export interface Group {
    id: string;
    name: string;
    description: string;
}
export declare const GROUP_OWNER = 1;
export declare const GROUP_VERIFIED = 2;
export declare const GROUP_SEEN = 4;
export declare const GROUP_REMOVED = 8;
export declare const GROUP_BLOCKED = 16;
export declare const GROUP_ADMIN = 32;
export declare function hideGroup(flags: number): boolean;
export declare function adminGroup(flags: number): boolean;
export interface GroupUser {
    id: string;
    uid: string;
    flags: number;
}
export interface GroupMap {
    id: string;
    sid: string;
    permission: number;
}
export declare type GroupUserIndex = {
    [groupid: string]: number;
};
export declare type GroupMapIndex = {
    [groupid: string]: number;
};
export declare type GroupIndex = {
    [groupid: string]: Group;
};
