import * as DT from './dra-types';
export interface StateYearInfo {
    population: number;
    congress: {
        nDistricts: number;
    };
    upper: {
        nDistricts: number;
    };
    lower?: {
        nDistricts: number;
    };
}
export interface StateInfo {
    '2010_VD': StateYearInfo;
    '2020_VD': StateYearInfo;
}
export declare const StatePlanInfoMap: {
    [key: string]: StateInfo;
};
export declare function hasPlanType(stateCode: string, planType: DT.PlanType, is2020?: boolean): boolean;
export declare function hasOneLegislativePlanBothHouses(stateCode: string): boolean;
export declare function getPlanDistrictCount(stateCode: string, planType: DT.PlanType, datasource: string): number;
export declare function getStateYearTotalPop(stateCode: string, datasource: string): number;
export declare function inferPlanType(stateCode: string, datasource: string, nDistricts: number, flex?: boolean): DT.PlanType;
