export declare type ValType = number;
export declare const ValTypeSum = 0;
export declare const ValTypeAvg = 1;
export declare const ValTypeRate = 2;
export declare function statExpiryTime(): string;
export interface StatRecord {
    id: string;
    production: boolean;
    expires: string;
    time: string;
    index: StatEntryIndex;
}
export declare type StatEntry = StatValue | StatRate;
export declare type StatEntryIndex = {
    [name: string]: StatEntry;
};
export interface StatValue {
    valType?: ValType;
    cur?: number;
    min?: number;
    max?: number;
    tot?: number;
    cnt?: number;
}
export interface StatRate {
    valType?: ValType;
    thisMin?: number;
    lastMin?: number;
    thisHour?: number;
    lastHour?: number;
    thisDay?: number;
    lastDay?: number;
}
export declare function statValueRecord(sv: StatValue, cur: number, valType: ValType): StatValue;
export declare function statRateIncr(sr: StatRate, incr?: number): StatRate;
export declare const OneMinute: number;
export declare const OneHour: number;
export declare const OneDay: number;
export declare function statRateRollover(sr: StatRate, period: number): void;
export declare function statEntryIndexMerge(accum: StatEntryIndex, si: StatEntryIndex): StatEntryIndex;
export declare function statEntryIndexRollover(si: StatEntryIndex, period: number): void;
export declare function statRecordMerge(accum: StatRecord, si: StatRecord): StatRecord;
export declare function statValueAccum(accum: StatValue, sv: StatValue): StatEntry;
export declare function statRateAccum(accum: StatRate, sr: StatRate): StatRate;
export declare function statIndexAccum(accum: StatEntryIndex, si: StatEntryIndex): StatEntryIndex;
