export interface SplitBlock {
    id?: string;
    chunkKey?: string;
    chunkList?: string[];
    chunk?: string;
    state: string;
    datasource: string;
    geoid: string;
    blocks?: string[];
    bitset?: string;
}
export interface SplitChunk {
    id?: string;
    recompute?: boolean;
    splits?: string[];
}
export declare type DistrictToSplitBlock = {
    [districtID: string]: SplitBlock[];
};
export declare function vhash(o: any): string;
export declare function vgeoidToGeoid(vgeoid: string): string;
export declare function splitToVgeoid(s: SplitBlock): string;
export declare function splitCommitted(s: SplitBlock): boolean;
export declare function vgeoidToChunk(vgeoid: string): string;
export declare function vgeoidToSplit(state: string, datasource: string, vgeoid: string): SplitBlock;
export declare function vgeoidToHash(vgeoid: string): string;
export declare function isVfeature(geoid: string): boolean;
export declare function splitToCacheKey(s: SplitBlock): string;
export declare function cacheKeyToSplit(s: string): SplitBlock;
export declare function splitToChunkKey(s: SplitBlock): string;
export declare function splitToPrefix(s: SplitBlock): string;
export declare function cacheKeysToChunkHash(keys: string[]): string;
